{
  "StaticBlocks": [
    "preamble the intent of this document is to state the conditions under which a package may be copied,such that the copyright holder maintains some semblance of artistic control over the development of the package,while giving the users of the package the right to use and distribute the package in a more-or-less customary fashion,plus the right to make reasonable modifications. it also grants you the rights to reuse parts of a package in your own programs without transferring this license to those programs,provided that you meet some reasonable requirements. definitions:'package' refers to the collection of files distributed by the copyright holder,and derivatives of that collection of files created through textual modification. 'standard version' refers to such a package if it has not been modified,or has been modified in accordance with the wishes of the copyright holder as specified below. 'copyright holder' is whoever is named in the copyright or copyrights for the package. 'you' is you,if you're thinking about copying or distributing this package. 'reasonable copying fee' is whatever you can justify on the basis of media cost,duplication charges,time of people involved,and so on. (you will not be required to justify it to the copyright holder,but only to the computing community at large as a market that must bear the fee.) 'freely available' means that no fee is charged for the item itself,though there may be fees involved in handling the item. it also means that recipients of the item may redistribute it under the same conditions they received it.",
    "you may make and give away verbatim copies of the source form of the standard version of this package without restriction,provided that you duplicate all of the original copyright notice and associated disclaimers.",
    "you may apply bug fixes,portability fixes and other modifications derived from the public domain or from the copyright holder. a package modified in such a way shall still be considered the standard version.",
    "you may otherwise modify your copy of this package in any way,provided that you insert a prominent notice in each changed file stating how and when you changed that file,and provided that you do at least one of the following:",
    "place your modifications in the public domain or otherwise make them freely available,such as by posting said modifications to usenet or an equivalent medium,or placing the modifications on a major archive site such as uunet.uu.net,or by allowing the copyright holder to include your modifications in the standard version of the package.",
    "use the modified package only within your corporation or organization.",
    "rename any non-standard executables so the name do not conflict with standard executables,which must also be provided,and provide a separate manual page for each non-standard executable that clearly documents how it differs from the standard version.",
    "make other distribution arrangements with the copyright holder.",
    "you may distribute the programs of this package in object code or executable form,provided that you do at least one of the following:",
    "distribute a standard version of the executables and library files,together with instructions (in the manual page or equivalent) on where to get the standard version.",
    "accompany the distribution with the machine-readable source of the package with your modifications.",
    "give non-standard executables non-standard name,and clearly document the differences in manual pages (or equivalent),together with instructions on where to get the standard version.",
    "make other distribution arrangements with the copyright holder.",
    "you may charge a reasonable copying fee for any distribution of this package. you may charge any fee you choose for support of this package. you may not charge a fee for this package itself. however,you may distribute this package in aggregate with other (possibly commercial) programs as part of a larger (possibly commercial) software distribution provided that you do not advertise this package as a product of your own.",
    "the scripts and library files supplied as input to or produced as output from the programs of this package do not automatically fall under the copyright of this package,but belong to whoever generated them,and may be sold commercially,and may be aggregated with this package. if such scripts or library files are aggregated with this package via the so-called 'undump' or 'unexec' methods of producing a binary executable image,then distribution of such an image shall neither be construed as a distribution of this package nor shall it fall under the restrictions of paragraphs 3 and 4,provided that you do not represent such an executable image as a standard version of this package.",
    "you may reuse parts of this package in your own programs,provided that you explicitly state where you got them from,in the source code (and,left to your courtesy,in the documentation),duplicating all the associated copyright notice and disclaimers. besides your changes,if any,must be clearly marked as such. parts reused that way will no longer fall under this license if,and only if,the name of your program(s) have no immediate connection with the name of the package itself or its associated programs. you may then apply whatever restrictions you wish on the reused parts or choose to place them in the public domain--this will apply only within the context of your package.",
    "the name of the copyright holder may not be used to endorse or promote products derived from this software without specific prior written permission.",
    "this package is provided 'as is' and without any express or implied warranties,including,without limitation,the implied warranties of merchantibility and fitness for a particular purpose. the end"
  ]
}